Variant.VARIANT.ByValue (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Variant, class: VARIANT, class: ByValue

Package com.sun.jna.platform.win32

# Class Variant.VARIANT.ByValue

java.lang.Object
com.sun.jna.Structure
com.sun.jna.Union
com.sun.jna.platform.win32.Variant.VARIANT
com.sun.jna.platform.win32.Variant.VARIANT.ByValue

All Implemented Interfaces:
  `Structure.ByValue`

Enclosing class:
  Variant.VARIANT

public static class Variant.VARIANT.ByValue extends Variant.VARIANT implements Structure.ByValue

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.platform.win32.Variant.VARIANT

  `Variant.VARIANT._VARIANT, Variant.VARIANT.ByReference, Variant.VARIANT.ByValue`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  ### Fields inherited from class com.sun.jna.platform.win32.Variant.VARIANT

  `_variant, decVal, VARIANT_MISSING`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ByValue()`
  `ByValue(Variant.VARIANT variant)`
  `ByValue(Pointer variant)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.platform.win32.Variant.VARIANT

  `booleanValue, byteValue, dateValue, doubleValue, floatValue, getValue, getVarType, intValue, longValue, setValue, setValue, setValue, setValue, setVarType, shortValue, stringValue`

  ### Methods inherited from class com.sun.jna.Union

  `getFieldOrder, getNativeAlignment, getTypedValue, readField, readField, setType, setType, setTypedValue, writeField, writeField, writeField`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ByValue

    public ByValue(Variant.VARIANT variant)

  - ### ByValue

    public ByValue(Pointer variant)

  - ### ByValue

    public ByValue()